Bug 817180 - PRD35 - [RFE] sysprep needs ability to specify Active Directory OU for VMs to join
PRD35 - [RFE] sysprep needs ability to specify Active Directory OU for VMs to...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.0.3
Unspecified Unspecified
high Severity high
: ---
: 3.5.0
Assigned To: Shahar Havivi
Pavel Novotny
virt
: FutureFeature
Depends On:
Blocks: 1120948 rhev3.5beta 1156165
  Show dependency treegraph
 
Reported: 2012-04-27 18:41 EDT by Bryan Yount
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version: vt2.2
Doc Type: Enhancement
Doc Text:
With this release, MachineObjectOU is now available for configuration for virtual machines that are using Sysprep. This allows users to specify an Active Directory OU for virtual machines to join.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-11 12:50:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26086 None None None Never
oVirt gerrit 30143 None None None Never
oVirt gerrit 30144 None None None Never

  None (edit)
Comment 3 Itamar Heim 2012-04-28 13:51:39 EDT
1. (I know not liked, but if pressing) hooks can probably handle this today by altering the floppy content on first run if getting this parameter from custom property.

2. in 3.1, this may be feasible via custom vm pay load - need to check, and not sure this will be via UI or only API.

[3. add this field in the product]
Comment 5 Bryan Yount 2012-04-30 17:08:24 EDT
(In reply to comment #3)
> 1. (I know not liked, but if pressing) hooks can probably handle this today by
> altering the floppy content on first run if getting this parameter from custom
> property.
> 
> 2. in 3.1, this may be feasible via custom vm pay load - need to check, and not
> sure this will be via UI or only API.
> 
> [3. add this field in the product]

It is somewhat pressing, yes. I know we don't write hooks for customers but is there anything I can provide to them that will assist us in developing this hook?


(In reply to comment #4)
> What prevents the customer from modifying the sysprep template file RHEVM
> provides?

We could do that but that assumes that the user will want every VM in the same OU. Sure, most of State Street's VMs likely will exist in a single OU but they want the functionality to specify the OU in the AdminPortal.
Comment 10 Michal Skrivanek 2012-09-26 08:51:37 EDT
to solve as a part of the redesign of sysprep to allow to supply a custom config file
Comment 11 Itamar Heim 2012-09-28 03:10:42 EDT
question is if important enough to be a named field (like timezone is), or just part of the custom config generic one
Comment 14 Shahar Havivi 2014-02-18 09:39:40 EST
IIUC this is the required field that will be in the Add/Edit/RunOnce VM Sysprep section:
MachineObjectOU

user will need to add something like:
"OU=Desktops,OU=Machines,DC=Domain,DC=local"

Is that sufficient?
Comment 15 Scott Herold 2014-02-21 09:14:06 EST
That is the correct syntax and sysprep.xml key.  The user will need to define the OU in the proper DN sytax as highlighted in Comment 14.
Comment 16 Shahar Havivi 2014-03-24 10:59:52 EDT
Scott, 
Do you have a suggestion for UI label for this field?
Comment 17 Shahar Havivi 2014-03-30 05:39:21 EDT
Does "Active Directory OU" sufficient enough?
Comment 18 Scott Herold 2014-04-01 07:20:41 EDT
Is it possible to have the label shown as "Active Directory OU", then have the ? tool tip with the definition "This field will map to MachineObjectOU within Sysprep"
Comment 19 Shahar Havivi 2014-04-01 10:03:30 EDT
(In reply to Scott Herold from comment #18)
> Is it possible to have the label shown as "Active Directory OU", then have
> the ? tool tip with the definition "This field will map to MachineObjectOU
> within Sysprep"

Sure, added to the patch
Comment 20 Pavel Novotny 2014-07-15 11:49:30 EDT
Clear FailedQA in ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch (beta).

Due to XML parse errors in all XML-based sysprep templates, caused by missing ending tag, i.e., `<MachineObjectOU>$MachineObjectOU$<MachineObjectOU>`.

Windows then complains about invalid answer file during the sysprep process.
Comment 22 Pavel Novotny 2014-09-12 12:19:40 EDT
Verified in rhevm-3.5.0-0.11.beta.el6ev.noarch (vt3).

If given, Active Directory Organizational Unit value is passed to sysprep file as MachineObjectOU parameter and Windows guest is then joined to it.
Comment 23 Yaniv Lavi 2015-01-19 10:06:22 EST
Original problem was:

3. What is the nature and description of the request?
The sysprep answer file provided by RHEV-M needs the ability to specify an Active Directory OU for the VMs to join instead of the Windows default. This feature is supported by sysprep and I have it confirmed by a Microsoft representative.

4. Why does the customer need this? (List the business requirements here)
They have many OUs in their environment and would like the ability in the VM sysprep tab to specify which OU the VM will be placed in.

5. How would the customer like to achieve this? (List the functional
requirements here)
* The ability to specify an OU for a sysprep'd VM

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
* option in VM properties
* new field in sysprep answer file
Comment 25 errata-xmlrpc 2015-02-11 12:50:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html

Note You need to log in before you can comment on or make changes to this bug.